@import "variables";
@import "mixins";

.navbar-container {
  background-color: $color_background;
  display: flex;
  flex-wrap: wrap;
  padding: 24px 45px;
  align-items: center;
  justify-content: space-between;

  @media #{$size_s} {
    padding: 24px 15px;
  }
}

.navbar-menu {
  display: inline-block;
  flex-grow: 1;
  text-align: right;
  @media #{$size_m} {
    order: 1;
    text-align: center;
  }
  @media #{$size_s} {
    position: fixed;
    display: none; // TODO: implement animation & remove
    top: 90px;
    left: 0;
    width: 80%;
    min-width: $size_menu_min;
    background-color: $color_menu;
    margin: 0 10%;
  }

  li {
    display: inline-block;
    @media #{$size_s} {
      padding: 10px 0;
      display: block;
      text-align: left;
      border-bottom: 1px solid $color_gray;
    }
  }
}

.navbar-menu-item {
  display: inline-block;
  color: $color_text;
  font-size: 16px;
  padding: 10px 24px;
  text-transform: capitalize;
  text-decoration: none;

  &:hover {
    color: $color_white;
  }

  @media #{$size_s} {
    display: block;
    color: $color_white;
    border-left: 8px solid $color_menu;
    padding-left: 24px;
    &:hover {
      border-left: 8px solid $color_text;
    }
  }


}

.navbar-title {
  vertical-align: middle;
  display: inline-block;
  color: $color_text;
  text-transform: uppercase;
  font-size: 24px;
  margin-right: 7px;
  @media #{$size_s} {
    display: none;
  }

}

.navbar-buy-button {
  @include ctaButton (40px);
  width: 145px;
  margin-left: 24px;
  border-radius: 20px;


  @media #{$size_s} {
    margin-left: 0;
  }
}

.navbar-logo-container:hover > .navbar-title {
  color: $color_white;
}

.navbar-logo-image {
  background: url("../img/logo-basic.png") no-repeat;
  width: 43px;
  height: 43px;
  display: inline-block;
  vertical-align: middle;
  padding-right: 15px;
}

.navbar-logo-container:hover .navbar-logo-image {
  background: url("../img/logo-hover.png") no-repeat;
}

.navbar-hamburger-menu {
  display: none;
  @media #{$size_s} {
    display: block;
    width: 40px;
    height: 40px;
  }
}

//TODO: menu text doesn't fit into a single line on 480 px